/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';
@import 'css/_general_styling.scss';

.m-horizontalBlockText {
  display: flex;
  column-gap: 5.43rem;
  white-space: pre-wrap;
  align-items: flex-start;

  &__title {
    h1 {
      width: 9.93rem;
      font-size: 2rem;
    }
  }

  @include breakpoint(lg) {
    flex-direction: column;
  }

  &__content {
    display: flex;
    flex-direction: column;
    flex: 1;

    &__icon {
      color: $coa-project-info-section-icon-color;
    }
  }
}

.o-projectInfoSection {
  display: flex;
  column-gap: 2.25rem;
  width: 100%;
  height: 100%;
  overflow-x: hidden;

  @include breakpoint(md) {
    flex-wrap: wrap;
  }

  &__text {
    overflow-x: hidden;
    flex-grow: 1;
    position: relative;
    padding-block: 1.875rem;
    display: flex;
    flex-direction: column;
    row-gap: 1.1875rem;
    &:after {
      background: $coa-project-info-section-line;
      content: '';
      display: block;
      height: 8px;
      position: absolute;
      width: 100%;
      bottom: 0;
      -webkit-border-radius: 6px;
      -moz-border-radius: 6px;
      -ms-border-radius: 6px;
      -o-border-radius: 6px;
      border-radius: 6px;
    }
  }
  &__progressCard {
    width: 366px;
    display: flex;
    align-items: center;

    @include respond(mobile) {
      flex-grow: 1;
    }

    @include respond(tablet) {
      flex-grow: 0;
    }

    @include respond(laptop) {
      width: 366px;
    }
  }
}

.horizontalSmallBlockText {
  display: flex;
  justify-content: space-between;

  column-gap: 1rem;

  &__subContainer {
    width: 180px;
  }
  &__icon {
    margin-left: 9.75px;
  }
  &__subtitle {
    @include primary-text(0.875rem, $coa-dark-gray-100, 400);
  }
  &__content {
    overflow: hidden;
    text-align: end;
    @include primary-text(0.875rem, $coa-dark-gray-100, 500);
  }
  &__contentWrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
